package com.csc.library.zeesecurity.databean.manager;

import java.util.List;

import com.csc.library.status.StatusMessage;
import com.csc.library.utilities.CscCalendar;
import com.csc.library.zeesecurity.databean.entity.CaptureTimestamp;

public interface CaptureTimestampManager {
	public CaptureTimestamp createInstance(String companyId);
	
	public StatusMessage save(CaptureTimestamp ct);
	public List<CaptureTimestamp> findCaptureTimestampByCompany(String companyId);
	public List<CaptureTimestamp> findCaptureTimestampByCompanyAndBetweenDatetime(String companyId , CscCalendar start ,CscCalendar end);
}
