package com.csc.library.zeesecurity.manager.factory;

import javax.ejb.Singleton;
import javax.enterprise.inject.Any;
import javax.enterprise.inject.Instance;
import javax.enterprise.inject.Produces;
import javax.inject.Inject;

import com.csc.library.system.layer.DatasourceEnvironment;
import com.csc.library.system.layer.DatasourceLayer;
import com.csc.library.system.layer.DatasourceType;
import com.csc.library.zeesecurity.databean.manager.CaptureTimestampManager;
import com.csc.library.zeesecurity.databean.manager.EmployeeReplacementManager;

@Singleton
public class EmployeeReplacementManagerFactory {
	
	@Inject 
	@Any
	@DatasourceLayer(type=DatasourceType.CASSANDRA,env=DatasourceEnvironment.PRODUCTION)
	private Instance<EmployeeReplacementManager> instance;
		
//	private DeviceManager manager;
	
//	@PostConstruct
//	public void postCon() {
//		System.out.println("Start init construct.[ ===== DeviceManagerFactory ===== ]");
//		if( instance != null ){
//			Iterator it = instance.iterator();
//			while(it.hasNext()){
//				System.out.println("postCon : "+it.next());
//			}
//			manager = instance.get();
//		}
//		System.out.println("End init construct.[ ===== DeviceManagerFactory ===== ] "+manager);
//	}
	
	@Produces
	public EmployeeReplacementManager getManager(){
		return instance.get();
	}
}