package com.csc.library.zeesecurity.model;

import com.csc.library.zeesecurity.databean.entity.EmployeeReplacement;

public class ReplacementModel {
	private String companyId;
	private String memberId;
	private String subMemberId;
	private String startDate;
	private String endDate;
	
	public String getCompanyId() {
		return companyId;
	}
	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	public String getMemberId() {
		return memberId;
	}
	public void setMemberId(String memberId) {
		this.memberId = memberId;
	}
	public String getSubMemberId() {
		return subMemberId;
	}
	public void setSubMemberId(String subMemberId) {
		this.subMemberId = subMemberId;
	}
	public String getStartDate() {
		return startDate;
	}
	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}
	public String getEndDate() {
		return endDate;
	}
	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}
	
	public static ReplacementModel fromEntity(EmployeeReplacement e){
		ReplacementModel m = new ReplacementModel();
		m.setCompanyId(e.getCompanyId());
		m.setMemberId(e.getMemberId());
		m.setSubMemberId(e.getMemberIdReplacement());
		m.setStartDate(e.getStartDate());
		m.setEndDate(e.getEndDate());
		return m;
	}
}
