## docker build
```
docker image build -t zeesecurity-image .
```
build with tag
```
docker image build -t registry.myhr.co.th/zeesecurity:0.0.3 .
```

## docker tag version
```
docker image tag zeesecurity-image registry.myhr.co.th/zeesecurity
```
or 
```
docker image tag zeesecurity-image 10.1.1.174:5000/zeesecurity
```

## push image to registry
```
docker push registry.myhr.co.th/zeesecurity
```
or
```
docker push 10.1.1.174:5000/zeesecurity
```

## run on docker
```
docker run -p 8180:8080 --name zeemeapi registry.myhr.co.th/zeesecurity
```




